> This page is for version API v3 (default).
> For other versions, use one of these documentation indexes:
> - API v3 (default): https://docs.taxcloud.com/api-v-3/llms.txt
> - API v1: https://docs.taxcloud.com/api-v-1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taxcloud.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taxcloud.com/_mcp/server.

# List Product Catalog

GET https://api.v3.taxcloud.com/mgmt/connections/{connectionId}/products


Retrieves a list of all Products for a specific connection. Supports cursor based pagination.
						 
			

Reference: https://docs.taxcloud.com/api-reference/api-reference/management-api/product-catalog/list-product

## Authentication

- `Authorization` header (bearer token, required) — This authentication type can be used to directly call the service.
- `X-API-KEY` header (required) — This authentication type is supported by using the provided API key for the merchant account.

## Request

### Path parameters

- `connectionId` (string, required) — represents the ID of a connection. It is used as a unique identifier for the connection

### Query parameters

- `limit` (long, optional, default: 20) — Maximum results per page
- `cursor` (string, optional) — The position from where the page should start. This can be found in the result of a previous api call and should be used on subsequent api calls to get the next group of records
- `ascending` (boolean, optional, default: false) — Whether you want the results to be ascending.
- `sortBy` (enum, optional, default: id) — The field you want to sort by.
  - Allowed values: `createdAt`, `updatedAt`, `connectionId`, `id`
- `search` (string, optional) — The term you want to search for.
- `filters` (string, optional) — Filter expression. Format: field:operator:value separated by semicolons. Example: channel:eq:stripe;productId:eq:prod_xxx

## Response

### 200

OK

- `items` (list of ProductResponse, required)
- `limit` (long, required) — Maximum results per page
- `nextCursor` (string, required, nullable)
- `$schema` (string, optional) — A URL to the JSON Schema for this object.

## Errors

### 400 Bad Request Error

Bad Request

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

### 401 Unauthorized Error

Unauthorized

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

### 403 Forbidden Error

Forbidden

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

### 404 Not Found Error

Not Found

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

### 422 Unprocessable Entity Error

Unprocessable Entity

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

### 429 Too Many Requests Error

Too Many Requests

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

### 500 Internal Server Error

Internal Server Error

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

## Types

### ProductResponse

- `channel` (string, required, nullable) — The type of channel the product comes from (e.g., amazon, walmart etc.)
- `connectionId` (string, required)
- `id` (long, required)
- `productId` (string, required) — ID of the product in the given connection & channel
- `productName` (string, required, nullable) — Name of the product for description purposes (not used in mapping)
- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `externalTaxCode` (string, optional) — Tax code from the external platform, used as the lookup key in taxonomy mappings to derive a default TIC. Merchants may override the resulting TIC.
- `tic` (long, optional, nullable) — TIC number for the product

### ErrorDetail

- `location` (string, optional) — Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'
- `message` (string, optional) — Error message text
- `value` (any, optional) — The value at the given location

## Examples

**Response**

```json
{
  "items": [
    {
      "channel": "string",
      "connectionId": "string",
      "id": 1,
      "productId": "string",
      "productName": "string",
      "$schema": "https://example.com/mgmt/schemas/ProductResponse.json",
      "externalTaxCode": "string",
      "tic": 99998
    }
  ],
  "limit": 1,
  "nextCursor": "string",
  "$schema": "https://example.com/mgmt/schemas/ListResultProductResponse.json"
}
```

**SDK Code**

```python
import requests

url = "https://api.v3.taxcloud.com/mgmt/connections/25eb9b97-5acb-492d-b720-c03e79cf715a/products"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.v3.taxcloud.com/mgmt/connections/25eb9b97-5acb-492d-b720-c03e79cf715a/products';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.v3.taxcloud.com/mgmt/connections/25eb9b97-5acb-492d-b720-c03e79cf715a/products"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.v3.taxcloud.com/mgmt/connections/25eb9b97-5acb-492d-b720-c03e79cf715a/products")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.v3.taxcloud.com/mgmt/connections/25eb9b97-5acb-492d-b720-c03e79cf715a/products")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.v3.taxcloud.com/mgmt/connections/25eb9b97-5acb-492d-b720-c03e79cf715a/products', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.v3.taxcloud.com/mgmt/connections/25eb9b97-5acb-492d-b720-c03e79cf715a/products");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.v3.taxcloud.com/mgmt/connections/25eb9b97-5acb-492d-b720-c03e79cf715a/products")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```